#ifndef BUFFERMANAGER_H_
#define BUFFERMANAGER_H_

union DWORD
{
	int i;
	float f;
	unsigned int ui;
};


class BufferManager
{
	private:
		DWORD * m_buffer;
		int m_current_offset;
		int m_size;
	public:
		BufferManager(int size);
		DWORD * GetBuffer(int size);
		void Reset();
	
};

#endif /*BUFFERMANAGER_H_*/
