#ifndef SOUNDMANAGER_H
#define SOUNDMANAGER_H

#define AUDIOMAX 10

class SoundManager
{
  private :
    void * vAudioData[AUDIOMAX];
  public :
  SoundManager();
  ~SoundManager();
  int Init(void);
  int Close(void);
  int LoadAudio(char * sFileName);
  int UnloadAudio(int iAudioID);
  int PlayAudio(char * sFileName);
  int PlayAudio(int iAudioID);
  int LoadMusic(char * sFileName);
  int PlayMusic(int iMusicID,int iLoops);
};

#endif
