#ifndef SPRITEMANAGER_H
#define SPRITEMANAGER_H

#define SPRITEMAX 1000

class Quad;
class engine;
class SpriteManager
{
  protected :
  Quad ** vQuadList;
  int iQuadCount;
  engine * poEngine;
  public :
  SpriteManager(engine * poEngine);
  ~SpriteManager();
  void Render();
  int CreateSprite(int iTextureID, float fX, float fY, float fZ, float fWidth
      , float fHeight);
  int RemoveSprite(int iSpriteID);
  float * GetSpritePosition(int iSpriteID);
  float * GetSpriteOrientation(int iSpriteID);
};

#endif
