#ifndef _FORCETABLE_H_
#define _FORCETABLE_H_
#include "forcetable.h"

class force;
class forcetable
{
	public:
		forcetable(int size);
		 ~forcetable();
	
		// objecttable interface
		force * get_force(int id);
		int add_force(force * obj);
		void remove_force(int id);
		int get_count();
		int get_size();
	
	protected:
		// objecttable variables
		force ** tab;
		int count;
		int size;
	
};


#endif	//_FORCETABLE_H_
