#ifndef LIGHT_H
#define LIGHT_H

#include "vector3f.h"

class light
{
	public:
  vector3f position;
  vector3f color;
  light();
  ~light();
  float radius;
  void set_color(float r,float g,float b);
  void set_position(float x,float y,float z);
  vector3f  compute_lighting(vector3f position, vector3f normal);
  vector3f compute_pervertexlighting(vector3f position, vector3f normal,vector3f tangent, vector3f binormal);
  vector3f get_position(void);
  vector3f projection(vector3f vertex,float factor);
};

#endif 
