//
// File: objecttable.h
// Created by: User <Email>
// Created on: Wed Nov 24 23:54:47 2004
//

#ifndef _OBJECTTABLE_H_
#define _OBJECTTABLE_H_
#include "object.h"

class objecttable
{
	public:
		objecttable(int size);
		 ~objecttable();
	
		// objecttable interface
		object * get_object(int id);
		int add_object(object * obj);
		int remove_object(int id);
		int get_count();
		int get_size();
	
	protected:
		// objecttable variables
		object ** tab;
		int count;
		int size;
	
};


#endif	//_OBJECTTABLE_H_
