#ifndef VECTOR3F_H
#define VECTOR3F_H
#include <stdio.h>


class vector3f
{
 public:
  float v[3];
  vector3f();
  vector3f(float,float,float);
  vector3f(float v[3]);
  ~vector3f();
  float& operator()(unsigned i);
  //int& operator = (float f);
  //vector3f& operator =(vector3f v);
 
  float operator *(vector3f v);
vector3f operator *(float a);
 vector3f operator -(vector3f v);
 vector3f operator +(vector3f v);
 
  static void add(vector3f & result,vector3f v1,vector3f v2);
  static void add(vector3f & result,vector3f v1,vector3f v2,float range);
  static void sub(vector3f & result,vector3f v1,vector3f v2);
  static float mul(vector3f v1,vector3f v2);
  static void mul(vector3f & result,vector3f v1,float a);
  static void copy(vector3f & result,vector3f v);
  static float distance(vector3f v1,vector3f v2);
  static void normalize(vector3f & result,vector3f v);
 static void vect(vector3f & result,vector3f v1,vector3f v2);
 static vector3f normal(float * p0,float * p1,float * p2);
 
  void print(void); 
  void normalize(void);
  float length(void);
  float * get(void);
  bool is_null(void);
  void copy_to(float * v);
};

#endif
