#include "BufferManager.h"
#include <stdio.h>

BufferManager::BufferManager(int size)
{
	this->m_buffer = new DWORD[size];
	this->m_size = size;
	this->m_current_offset = 0;
}

DWORD * BufferManager::GetBuffer(int size)
{
	DWORD * ret = this->m_buffer + this->m_current_offset;
	this->m_current_offset += size;
	if (this->m_current_offset > this->m_size)
	{
		DWORD * pNewBuff = new DWORD[this->m_current_offset];
		for (int i = 0;i < this->m_size;i++)
		{
			pNewBuff[i] = this->m_buffer[i];
		}
		delete this->m_buffer;
		this->m_buffer = pNewBuff;
		this->m_size = this->m_current_offset;
		printf("Resizing buffer manager: new size=%d\n",this->m_size);
		ret = this->m_buffer + this->m_current_offset - size;
		return ret;
	}
	//printf("Allocated %d total:%d\n",size,this->m_current_offset);
	return ret;
}

void BufferManager::Reset()
{
	this->m_current_offset = 0;
	//printf("reset\n");
}
