#include "plan.h"
#include <stdio.h>


void EI_begin_quad(void);
void EI_setcolor(float r,float g,float b);
void EI_vertex(float x,float y,float z);
void EI_end(void);

plan::plan(float size,float x,float y,float z) : object(x,y,z){

  this->size = size;

  this->vertices[0][0] = 0.- (size/2.);
  this->vertices[0][1] = 0. - (size/2.);
  this->vertices[0][2] = 0.;

  this->vertices[1][0] = 0. - (size/2.);
  this->vertices[1][1] = 0. + (size/2.);
  this->vertices[1][2] = 0.;

  this->vertices[2][0] = 0. + (size/2.);
  this->vertices[2][1] = 0. + (size/2.);
  this->vertices[2][2] = 0.;

  this->vertices[3][0] = 0. + (size/2.);
  this->vertices[3][1] = 0. - (size/2.);
  this->vertices[3][2] = 0.;
  
  this->set_collisionable(true);

}    

plan::~plan(){
}    

void plan::draw(void){

  EI_begin_quad();
  EI_setcolor(0.,0.,0.);  
  EI_vertex(this->vertices[3][0],this->vertices[3][1],this->vertices[3][2]);
  EI_vertex(this->vertices[2][0],this->vertices[2][1],this->vertices[2][2]);
  EI_vertex(this->vertices[1][0],this->vertices[1][1],this->vertices[1][2]);
  EI_vertex(this->vertices[0][0],this->vertices[0][1],this->vertices[0][2]);
  EI_end();
}  

bool plan::collision_resolve(float * p){
   if (p[2] < this->position[2]){
     //printf("%f %f\n",this->position[1] - this->size,this->position[1] + this->size);
     if ((p[1] > this->position[1] - this->size)&&(p[1] < this->position[1] + this->size))
      { 
               //printf("kiki");
       if ((p[0] > this->position[0] - this->size)&&(p[0] < this->position[0] + this->size))
         return true;
         }
         }
   return false;
}
