//
// File: camera.h
// Created by: User <Email>
// Created on: Thu Nov 25 19:23:26 2004
//

#ifndef _CAMERA_H_
#define _CAMERA_H_


class camera
{
	public:
		camera();
		 ~camera();
	
		// camera interface
	  void translate_x(float x);
	  void translate_y(float y);
	  void translate_z(float z);
	  void rotate_x(float a);
	  void rotate_y(float a);
	  void rotate_z(float a);
	  float * get_position(void);
	  float * get_orientation(void);
	  void set_position(float,float,float);
	  void set_orientation(float,float,float);
	  float * get_vector(void);
	
	protected:
		// camera variables
	float position[3];
	float orientation[3];
};


#endif	//_CAMERA_H_
