//
// File: terrain.h
// Created by: User <Email>
// Created on: Thu Nov 25 00:32:07 2004
//

#ifndef _TERRAIN_H_
#define _TERRAIN_H_

#include "mobile.h"
#include "image24.h"

class terrain : public mobile
{
	public:
		terrain(int width,int length,float,float,float);
		terrain(int width,int length,float,float,float,unsigned short int * data);
		 ~terrain();
	void set_id(int id);
	void draw(void);
		// terrain interface
	float * get_vertex(int i);
	int get_nb_vertices();

	image24 * texture;
	unsigned int texture_id;
	void settexture(char * filename);
	unsigned char * texturepixels;

	protected:
		// terrain variables
	  int id;
	 // float ** vertices;
	  //int nb_vertices;
	  int width;
	  int length;
	  unsigned short int * heightmap;
	void generate_texture(int w,int h);
	void settexture(unsigned char * pixels,int w ,int h);

		// TODO: add member variables...

};


#endif	//_TERRAIN_H_
