#include "ShaderManager.h"
#include "ei.h"
#include <stdio.h>
#include <string.h>

ShaderManager::ShaderManager(int size)
{
	this->shaders = new t_shader*[size];	
	this->size = size;
	for (int i = 0;i < size;i++)
	{
		this->shaders[i] = NULL;
	}
}


int ShaderManager::add_shader(char *filename)
{
	for (int i = 0;i < this->size;i++)
	{
		if (this->shaders[i] != NULL)
		
			if (!strcmp(filename,this->shaders[i]->filename))
			{
				return this->shaders[i]->programid;
			}	
	}	
	
	for (int k = 0;k < this->size;k++)
	{
		if (this->shaders[k] == NULL)
		{
			unsigned int programId = 0;
			char filenametmp[256];
			char * f2 = NULL;
			strcpy(filenametmp,filename);
			for (int j = 0;j < strlen(filenametmp);j++)
			{
				if (filenametmp[j] == ';')
				{
					filenametmp[j] = '\0';
					f2 = filenametmp + j + 1;
				}
			}
			EI_load_program_glsl(filenametmp,f2,&programId);
			if (programId == 0)
			{
				printf("Couldn't load shader %s\n",filename);
				return 0;
			}
			else 
			{
				this->shaders[k] = new t_shader;
				strcpy(this->shaders[k]->filename,filename);
				this->shaders[k]->programid = programId;
			}
			return programId;
		}
	}	
	return 0;
}

void ShaderManager::remove_shader(char *filename)
{
	
}

void ShaderManager::bind_shader(int shadername)
{
	EI_use_program_glsl((unsigned int)shadername);
}
