//
// File: object.cc
// Created by: User <Email>
// Created on: Wed Nov 24 22:58:18 2004
//

#include "object.h"
#include <stdio.h>
#include "ei.h"
#include <string.h>
object::object(float x,float y,float z)
{
    this->position[0] = x;
    this->position[1] = y;
    this->position[2] = z;
    this->listable = true;
    this->collisionable = false;
	this->binormals = NULL;
	this->normals = NULL;
	this->tangents = NULL;
	this->textureCount = 0;
	//this->hasShader = false;
	//this->shader_prog_id = 0;
	strcpy(this->name,"OBJECT");
}


object::~object()
{
}

float * object::get_position()
{
  return this->position;
}

float * object::get_orientation()
{
  return this->orientation;
}

void object::set_position(float x,float y,float z){
  this->position[0] = x;
  this->position[1] = y;
  this->position[2] = z;
}
void object::set_orientation(float a_x,float a_y,float a_z){
  this->orientation[0] = a_x;
  this->orientation[1] = a_y;
  this->orientation[2] = a_z;

}

int object::get_idlist(void){
  return this->idlist;
}

void object::set_idlist(int id){
  this->idlist = id;
}


void object::draw()
{
  printf("DRAW NOT IMPLEMENTED !\n");
}

void object::render()
{

      if (this->is_listable())
        EI_call_list(this->get_idlist());
      else this->draw();
}

bool object::is_listable()
{
  return this->listable;
}
void object::set_listable(bool b)
{
  this->listable = b;
}

bool object::is_collisionable(void){
     return this->collisionable;
}
void object::set_collisionable(bool b){
     this->collisionable = b;
}
bool object::collision_resolve(float *){
  return false;
}
void object::translate(void)
{
  printf("TRANSLATE NOT IMPLEMENTED !\n");
}

void object::rotate(void)
{
  printf("ROTATE NOT IMPLEMENTED !\n");
}
/*
void object::set_texture(int id)
{
	this->textureid[this->textureCount] = id;
	this->textureCount++;
	printf("object::set_texture\n");
}
*/




/*
void Object3ds::settexture(char * filename, int idface)

{
  image24 * img = new image24(filename);

  EI_bind_2D_texture(this->arrayface[idface].textureids[this->arrayface[idface].nbtextures]);
  EI_tex_image2d24(img->get_pixels(),img->get_width(),img->get_heigth(),
                this->arrayface[idface].textureids[this->arrayface[idface].nbtextures]);
		this->arrayface[idface].nbtextures++;
  delete img ;
}
*/


