#include "strip.h"
#include "ei.h"
#include <stdio.h>

strip::strip(float width,float x,float y,float z) : object(x,y,z)
{
  this->width = width;
  this->iVerticesCount = 0;
  this->listable = false;
  this->add_point(x,y,z);
}

strip::~strip()
{
}

void strip::set_color(float r, float g, float b){
  this->color[0] = r;
  this->color[1] = g;
  this->color[2] = b;
  
}

void strip::draw(void)
{

  EI_begin_quadstrip();
// printf("Quad:\n");

  for (int i = 0;i < this->iVerticesCount;i++)
  {
//      printf("v: %f %f %f\n",this->vKeyVertices[i][0],this->vKeyVertices[i][1]+0.5,this->vKeyVertices[i][2]);
//      printf("v: %f %f %f\n",this->vKeyVertices[i][0],this->vKeyVertices[i][1]-0.5,this->vKeyVertices[i][2]);

      EI_vertex(this->vKeyVertices[i][0],this->vKeyVertices[i][1]-0.5,this->vKeyVertices[i][2]);  
      EI_vertex(this->vKeyVertices[i][0],this->vKeyVertices[i][1]+0.5,this->vKeyVertices[i][2]);

  }

/*
  for (int i = this->iVerticesCount-1;i >= 0;i--)
  {
      printf("v: %f %f %f\n",this->vKeyVertices[i][0],this->vKeyVertices[i][1]+0.5,this->vKeyVertices[i][2]);
      printf("v: %f %f %f\n",this->vKeyVertices[i][0],this->vKeyVertices[i][1]-0.5,this->vKeyVertices[i][2]);
      EI_vertex(this->vKeyVertices[i][0],this->vKeyVertices[i][1]+0.5,this->vKeyVertices[i][2]);
      EI_vertex(this->vKeyVertices[i][0],this->vKeyVertices[i][1]-0.5,this->vKeyVertices[i][2]);  
  }
*/
//  printf("End:\n");

  EI_end();


//  EI_begin_quadstrip();
  {

/*
      EI_vertex(0.,0.,0.);
      EI_vertex(0.,1.,0.);

      EI_vertex(1.,0.,0); 
      EI_vertex(1.,1.,0); 
*/
/*
      EI_vertex(0.,0.,0.);
      EI_vertex(1.,0.,0); 
      EI_vertex(0.,1.,0.);
      EI_vertex(1.,1.,0); 
*/
/*
      EI_vertex(0.,0.5,0.);
      EI_vertex(1.,0.5,0.);
      EI_vertex(0.,-0.5,0); 
      EI_vertex(1.,-0.5,0);  
*/
 
  }
  //EI_end();

}

void strip::add_point(float x,float y,float z)
{
  this->vKeyVertices[this->iVerticesCount][0] = x;
  this->vKeyVertices[this->iVerticesCount][1] = y;
  this->vKeyVertices[this->iVerticesCount][2] = z;
  this->iVerticesCount++;
}

#include <stdio.h>
void strip::render(){      
      if (this->is_listable()){
        //EI_scale(this->size,this->size,this->size);
        EI_setcolor(this->color[0],this->color[1],this->color[2]);
        EI_call_list(this->get_idlist());
      }
      else {
        //EI_scale(this->size,this->size,this->size);
        EI_setcolor(this->color[0],this->color[1],this->color[2]);
           this->draw();
           } 
}
void strip::rotate(void)
{
       //EI_push_matrix();
/*
       EI_translate(this->get_position()[0],
                  this->get_position()[1],
                  this->get_position()[2]);      
*/
}
void strip::translate(void)
{
/*
         EI_rotate(this->get_orientation()[0],
                this->get_orientation()[1],
                this->get_orientation()[2]); 
*/           
}
