#include "image.h"
#include "image32.h"
#include "texture2d.h"

#include <SDL/SDL.h>
#include "ei.h"

#include <string.h>
Texture2D::Texture2D(char * sFileName)
{
  this->poImage32 = new image32(sFileName);
  strcpy(this->sFileName,sFileName);
  this->iTextureID = 777777;
}
Texture2D::~Texture2D()
{
}
int Texture2D::bindTexture(void)
{
  if (this->iTextureID == 777777){
    EI_gen_textures(1,&this->iTextureID);
    EI_bind_2D_texture(this->iTextureID);
    EI_tex_image2d32(this->poImage32->get_pixels(),
                this->poImage32->get_width(),
                this->poImage32->get_heigth(),
                this->iTextureID);
    return this->iTextureID;
  } else return this->iTextureID;
}


void Texture2D::set_coloralphavalue(int r, int g, int b, int a)
{
  this->poImage32->set_coloralphavalue(r,g,b,a);
}


void Texture2D::set_globalalphavalue(int a)
{
  this->poImage32->set_globalalphavalue(a);
}
